#global upver	2.1
#global uprel	7r2
#global rel	0.8

%global upver	2.2
%global uprel	20100211
%global rel	0.6

#global jni	%{_jnidir}
%global jni	%{_libdir}/%{name}

Summary:	Parallel communication for the Java Development Toolkit
Name:		rxtx
Version:	%{upver}
Release:	%{rel}.%{uprel}%{?dist}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://rxtx.qbang.org/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  cvs -d:pserver:anonymous@qbang.org:/var/cvs/cvsroot co -r commapi-0-0-1 -D "2010-02-11" -d rxtx-%{uprel} rxtx-devel
#  tar cjvf rxtx-%{uprel}.tar.bz2 --exclude CVS --exclude .cvsignore rxtx-%{uprel}
Source:		%{name}-%{uprel}.tar.bz2
#Source:		http://rxtx.qbang.org/pub/rxtx/%{name}-%{upver}-%{uprel}.tgz
Patch1:		rxtx-2.2-loadlibrary.patch
Patch2:		rxtx-2.2-no-io.h.patch
Patch3:		rxtx-2.2-fhs_lock.patch
Patch4:		rxtx-2.2-lock.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:  libtool automake
BuildRequires:	ant >= 1.7.0
BuildRequires:	ant-junit >= 1.7.0
BuildRequires:	junit4
#Requires:	java >= 1:1.6.0
Requires:	java
Requires:	jpackage-utils
ExcludeArch:	ppc ppc64 s390 s390x

%description
rxtx is an full implementation of java commapi which aims to support RS232
IEEE 1284, RS485, I2C and RawIO.

%prep
#setup -q -n rxtx-%{upver}-%{uprel}
%setup -q -n rxtx-%{uprel}
sed -e 's|@JNIPATH@|%{jni}|' %{PATCH1} | patch -s -b --suffix .p1 -p1
%patch2 -p1
%patch3 -p1
%if 0%{?fedora} > 13 || 0%{?rhel} > 6
%patch4 -p1
%endif
# remove prebuild binaries
find . -name '*.jar' -exec rm {} \;
find . -name '*.hqx' -exec rm {} \;

%build
export JAVA_HOME=%{java_home}
%configure
# parallel make fails with make %%{?_smp_mflags}
make
iconv -f ISO_8859-1 -t UTF-8 ChangeLog >ChangeLog.utf-8
mv ChangeLog.utf-8 ChangeLog

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir} %{buildroot}%{jni}
make RXTX_PATH=%{buildroot}%{jni} JHOME=%{buildroot}%{_javadir} install
#echo "Driver=gnu.io.RXTXCommDriver" > %{buildroot}%{_javadir}/gnu.io.rxtx.properties
find %{buildroot} -name '*.la' -exec rm {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_javadir}/*
%{jni}

%changelog
* Wed Aug 17 2011 Levente Farkas <lfarkas@lfarkas.org> - 2.2-0.6.20100211
- fix lock dir #731218

* Fri Jul 15 2011 Levente Farkas <lfarkas@lfarkas.org> - 2.2-0.5.20100211
- fix doc #722353

* Thu Mar 17 2011 Levente Farkas <lfarkas@lfarkas.org> - 2.2-0.4.20100211
- fix fhs_lock  #666761

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-0.3.20100211.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov  9 2010 Levente Farkas <lfarkas@lfarkas.org> - 2.2-0.3.20100211
- fix lock dir location #650849

* Tue Mar 30 2010 Dennis Gilmore <dennis@ausil.us> - 2.2-0.2.20100211
- apply patch from Patrick Ale excluding the inclusion of sys/io.h on sparc

* Thu Feb 11 2010 Levente Farkas <lfarkas@lfarkas.org> - 2.2-0.1.20100211
- update to the latest cvs to fix #555219

* Wed Aug 12 2009 Ville Skyttä <ville.skytta@iki.fi> - 2.1-0.8.7r2
- Use upstream gzipped tarball instead of zip.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-0.7.7r2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun  2 2009 Dan Horak <dan[at]danny.cz> - 2.1-0.6.7r2
- add s390/s390x to ExcludeArch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-0.5.7r2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Levente Farkas <lfarkas@lfarkas.org> - 2.1-0.4.7r2
- bump release number

* Fri Feb 13 2009 Levente Farkas <lfarkas@lfarkas.org> - 2.1-0.3.7r2
- fix new libtool compile bug

* Thu Sep 25 2008 Levente Farkas <lfarkas@lfarkas.org> - 2.1-0.2.7r2
- a few more spec file cleanup

* Mon Sep 15 2008 Levente Farkas <lfarkas@lfarkas.org> - 2.1-0.1.7r2
- update as requested by fedora

* Thu Jul 21 2008 Gergo Csontos <gergo.csontos@gmail.com> - 2.1
- Initial release
